# propka.ligand_pka_values

## Ligand pKa values from Marvin

Ligand pKa values can be obtained from the commercial Marvin software (namely, the cxcalc and molconvert programs are required).

Classes

`LigandPkaValues`(parameters) | Ligand pKa value class.

class propka.ligand_pka_values.LigandPkaValues(parameters: Parameters)

  Ligand pKa value class.

  static extract_pkas(output)

    Extract pKa value from output.

    Parameters:

      output – output string to parse

    Returns:

      1. Indices

      2. Values

      3. Types

  static find_in_path(program)

    Find a program in the system path.

    Parameters:

      program – program to find

    Returns:

      location of program

  get_marvin_pkas_for_atoms(atoms, name='temp', reuse=False, num_pkas=10, min_ph=-10.0, max_ph=20.0)

    Use Marvin executables to calculate pKas for a list of atoms.

    Parameters:

      - atoms – list of atoms

      - name – filename

      - reuse – flag to reuse the structure files

      - num_pkas – number of pKas to calculate

      - min_ph – minimum pH value

      - max_ph – maximum pH value

  get_marvin_pkas_for_conformation_container(conformation, name='temp', reuse=False, num_pkas=10, min_ph=-10.0, max_ph=20.0)

    Use Marvin executables to calculate pKas for a conformation container.

    Parameters:

      - conformation – conformation container

      - name – filename

      - reuse – flag to reuse the structure files

      - num_pkas – number of pKas to calculate

      - min_ph – minimum pH value

      - max_ph – maximum pH value

  get_marvin_pkas_for_molecular_container(molecule: MolecularContainer, num_pkas=10, min_ph=-10.0, max_ph=20.0)

    Use Marvin executables to calculate pKas for a molecular container.

    Parameters:

      - molecule – molecular container

      - num_pkas – number of pKas to calculate

      - min_ph – minimum pH value

      - max_ph – maximum pH value

  get_marvin_pkas_for_molecule(atoms, filename='__tmp_ligand.mol2', reuse=False, num_pkas=10, min_ph=-10.0, max_ph=20.0)

    Use Marvin executables to calculate pKas for a molecule.

    Parameters:

      - molecule – the molecule

      - name – filename

      - reuse – flag to reuse the structure files

      - num_pkas – number of pKas to calculate

      - min_ph – minimum pH value

      - max_ph – maximum pH value

  get_marvin_pkas_for_pdb_file(molecule: MolecularContainer, parameters: NoReturn, num_pkas=10, min_ph=-10.0, max_ph=20.0)

    Use Marvin executables to get pKas for a PDB file.

    Parameters:

      - pdbfile – PDB file

      - molecule – MolecularContainer object

      - num_pkas – number of pKas to get

      - min_ph – minimum pH value

      - max_ph – maximum pH value